X.missing <- rep(NA,number.of.missing)
N <- 19 + number.of.missing

# initial values
theta <- rbeta(1,success.prior,failure.prior)
X.missing <- rbinom(number.of.missing,1,theta) 

draw <-matrix(NA,number.of.simulations,(1+number.of.missing))
for (s in 1:number.of.simulations){
  success.posterior <- Y + sum(X.missing) + success.prior 
  failure.posterior <- N - Y - sum(X.missing) + failure.prior 
  theta <- rbeta(1,success.posterior,failure.posterior)
  X.missing <- rbinom(number.of.missing,1,theta) 
  draw[s,] <- c(theta,X.missing)
}
draw <- draw[use,]

  