# Bayesian Method (2nd edition)
# written by Jeff Gill
# http://jgill.wustl.edu/BMSBSA2/

# Missing Dichotomous Data
# p. 358
# R scripts by Kentaro Fukumoto

rm(list=ls())

# setup
Y <- 14
number.of.simulations <- 50000
burn.in <- 20000
use <- c((burn.in +1):number.of.simulations)
  
#date()
#set.seed(11122013)
number.of.missing <- 1
success.prior <- failure.prior <- 1
source("nov13.background.r")
summary(draw)
quantile(draw[,1],c(0.025, 0.975))
plot(draw[,1],type='l')

number.of.missing <- 1
success.prior <- failure.prior <- 0.01
source("nov13.background.r")
summary(draw)
quantile(draw[,1],c(0.025, 0.975))

number.of.missing <- 10
success.prior <- failure.prior <- 0.01
source("nov13.background.r")
summary(draw[,1:2])
quantile(draw[,1],c(0.025, 0.975))

number.of.missing <- 10
success.prior <- failure.prior <- 1
source("nov13.background.r")
summary(draw[,1:2])
quantile(draw[,1],c(0.025, 0.975))
